<?php

App::uses('QueueTask', 'Queue.Console/Command/Task');
App::uses('CustomEmail', 'Lib');

class QueueBuzzEmailTask extends QueueTask {

/**
 * Run task - send email
 *
 * @param array $data
 * @param int $id
 * @return bool
 */
	public function run($data, $id = null) {
		$Email = new CustomEmail();

		// Setup the email template.
		$template = !empty($data['template']) ? $data['template'] : 'default';

		$Email->template($template);
		$Email->to($data['to']);
		$Email->from($data['from']);
		$Email->subject($data['subject']);
		$Email->viewVars(['content' => $data['content']]);
		return $Email->send();
	}

}
